org.apache.hadoop.yarn.webapp

## Class WebApps.Builder<T>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.WebApps.Builder<T>

- Enclosing class:
    WebApps

      public static class WebApps.Builder<T>
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WebApps.Builder<T>` | `at(int port)`
    `WebApps.Builder<T>` | `at(String bindAddress)`
    `WebApps.Builder<T>` | `at(String address, int port, boolean findPort)`
    `WebApp` | `build(WebApp webapp)`
    `WebApps.Builder<T>` | `inDevMode()`
    `WebApp` | `start()`
    `WebApp` | `start(WebApp webapp)`
    `WebApp` | `start(WebApp webapp, org.eclipse.jetty.webapp.WebAppContext ui2Context)`
    `WebApps.Builder<T>` | `with(org.apache.hadoop.conf.Configuration conf)`
    `WebApps.Builder<T>` | `withAppClientProtocol(org.apache.hadoop.yarn.api.ApplicationClientProtocol appClientProto)`
    `WebApps.Builder<T>` | `withAttribute(String key, Object value)`
    `WebApps.Builder<T>` | `withCSRFProtection(String prefix)` Enable the CSRF filter.
    `WebApps.Builder<T>` | `withHttpPolicy(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.http.HttpConfig.Policy httpPolicy)`
    `WebApps.Builder<T>` | `withHttpSpnegoKeytabKey(String spnegoKeytabKey)`
    `WebApps.Builder<T>` | `withHttpSpnegoPrincipalKey(String spnegoPrincipalKey)`
    `WebApps.Builder<T>` | `withPortRange(org.apache.hadoop.conf.Configuration config, String portRangeConfKey)` Set port range config key and associated configuration object.
    `WebApps.Builder<T>` | `withServlet(String name, String pathSpec, Class<? extends javax.servlet.http.HttpServlet> servlet)`
    `WebApps.Builder<T>` | `withServlet(String name, String pathSpec, Class<? extends javax.servlet.http.HttpServlet> servlet, Map<String,String> params, boolean loadExistingFilters)`
    `WebApps.Builder<T>` | `withXFSProtection(String prefix)` Enable the XFS filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### at

          public WebApps.Builder<T> at(String bindAddress)

    - #### at

          public WebApps.Builder<T> at(int port)

    - #### at

          public WebApps.Builder<T> at(String address,
                                       int port,
                                       boolean findPort)

    - #### withAttribute

          public WebApps.Builder<T> withAttribute(String key,
                                                  Object value)

    - #### withServlet

          public WebApps.Builder<T> withServlet(String name,
                                                String pathSpec,
                                                Class<? extends javax.servlet.http.HttpServlet> servlet)

    - #### withServlet

          public WebApps.Builder<T> withServlet(String name,
                                                String pathSpec,
                                                Class<? extends javax.servlet.http.HttpServlet> servlet,
                                                Map<String,String> params,
                                                boolean loadExistingFilters)

    - #### with

          public WebApps.Builder<T> with(org.apache.hadoop.conf.Configuration conf)

    - #### withHttpPolicy

          public WebApps.Builder<T> withHttpPolicy(org.apache.hadoop.conf.Configuration conf,
                                                   org.apache.hadoop.http.HttpConfig.Policy httpPolicy)

    - #### withPortRange

          public WebApps.Builder<T> withPortRange(org.apache.hadoop.conf.Configuration config,
                                                  String portRangeConfKey)

      Set port range config key and associated configuration object.
      Parameters:
        `config` - configuration.
        `portRangeConfKey` - port range config key.
      Returns:
        builder object.

    - #### withHttpSpnegoPrincipalKey

          public WebApps.Builder<T> withHttpSpnegoPrincipalKey(String spnegoPrincipalKey)

    - #### withHttpSpnegoKeytabKey

          public WebApps.Builder<T> withHttpSpnegoKeytabKey(String spnegoKeytabKey)

    - #### withCSRFProtection

          public WebApps.Builder<T> withCSRFProtection(String prefix)

      Enable the CSRF filter.
      Parameters:
        `prefix` - The config prefix that identifies the CSRF parameters applicable for this filter instance.
      Returns:
        the Builder instance

    - #### withXFSProtection

          public WebApps.Builder<T> withXFSProtection(String prefix)

      Enable the XFS filter.
      Parameters:
        `prefix` - The config prefix that identifies the XFS parameters applicable for this filter instance.
      Returns:
        the Builder instance

    - #### inDevMode

          public WebApps.Builder<T> inDevMode()

    - #### withAppClientProtocol

          public WebApps.Builder<T> withAppClientProtocol(org.apache.hadoop.yarn.api.ApplicationClientProtocol appClientProto)

    - #### build

          public WebApp build(WebApp webapp)

    - #### start

          public WebApp start()

    - #### start

          public WebApp start(WebApp webapp)

    - #### start

          public WebApp start(WebApp webapp,
                              org.eclipse.jetty.webapp.WebAppContext ui2Context)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.